| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::SndSys::SndSysBasicStream::StreamNotificationEvent Struct Reference

Structure containing the data for each notification event. More...

`#include <csplugincommon/sndsys/sndstream.h>`

List of all members.

## Public Attributes
size_t | m_Frame
| The frame number for this event.
StreamNotificationType | m_Type
| The type of this notification event.

## Detailed Description

Structure containing the data for each notification event.

Definition at line 63 of file sndstream.h.

## Member Data Documentation

size_t CS::SndSys::SndSysBasicStream::StreamNotificationEvent::m_Frame

The frame number for this event.

Definition at line 70 of file sndstream.h.

StreamNotificationType CS::SndSys::SndSysBasicStream::StreamNotificationEvent::m_Type

The type of this notification event.

Definition at line 66 of file sndstream.h.

The documentation for this struct was generated from the following file:

- csplugincommon/sndsys/sndstream.h